Loading...
Searching...
No Matches
casacore::python::casa_record_to_python Struct Reference
python package (libcasa_python) » Converters_module

More...

`#include <PycRecord.h>`

## Static Public Member Functions

static boost::python::dict | makeobject (Record const &rec)
static PyObject * | convert (Record const &rec)

## Detailed Description

A class to convert a (Table)Record to/from Python objects.

### Intended use:

Public interface

### Synopsis

convert casacore::Record to PyDict

Definition at line 50 of file PycRecord.h.

## Member Function Documentation

## convert()

PyObject * casacore::python::casa_record_to_python::convert | ( | Record const & | rec | ) |

inline static

Definition at line 53 of file PycRecord.h.

References makeobject(), and casacore::Record().

## makeobject()

boost::python::dict casacore::python::casa_record_to_python::makeobject | ( | Record const & | rec | ) |

static

References casacore::Record().

Referenced by convert().

The documentation for this struct was generated from the following file:

- python/Converters/PycRecord.h